package com.hfkj.service.order;

import com.hfkj.entity.BsOrderSettle;

import java.util.List;
import java.util.Map;

/**
 * 订单结算
 * @className: BsOrderSettleService
 * @author: HuRui
 * @date: 2024/6/24
 **/
public interface BsOrderSettleService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOrderSettle data);

    /**
     * 查询数据
     * @param orderNo
     * @return
     */
    BsOrderSettle getData(String orderNo);

    /**
     * 发起分账
     * @param orderSettle
     */
    void separate(BsOrderSettle orderSettle);

    /**
     * 撤销分账
     * @param orderSettle
     */
    void revokeLedger(BsOrderSettle orderSettle);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsOrderSettle> getList(Map<String, Object> param);

}
